메인 콘텐츠로 건너뛰기
PATCH
/
storefront
/
customers
/
me
/
addresses
/
{address_id}
주소 수정
curl --request PATCH \
  --url https://api.headlesscommerce.io/v1/storefront/customers/me/addresses/{address_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Customer-Token: <api-key>' \
  --data '
{
  "name": "<string>",
  "line1": "<string>",
  "city": "<string>",
  "postal_code": "<string>",
  "country": "<string>",
  "company": "<string>",
  "line2": "<string>",
  "state": "<string>",
  "phone": "<string>",
  "type": "both",
  "is_default": false
}
'
{
  "id": "<string>",
  "name": "<string>",
  "company": "<string>",
  "line1": "<string>",
  "line2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postal_code": "<string>",
  "country": "<string>",
  "phone": "<string>",
  "type": "shipping",
  "is_default": true,
  "created_at": "2023-11-07T05:31:56Z"
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

X-Customer-Token
string
header
필수

Storefront customer authentication token. Issued via POST /admin/customers/{id}/token. Required for accessing /storefront/customers/, /storefront/orders/.

경로 매개변수

address_id
string
필수

본문

application/json
name
string
필수
line1
string
필수
city
string
필수
postal_code
string
필수
country
string
필수
company
string
line2
string
state
string
phone
string
type
enum<string>
기본값:both
사용 가능한 옵션:
shipping,
billing,
both
is_default
boolean
기본값:false

응답

200 - application/json

성공

id
string
name
string
company
string
line1
string
line2
string
city
string
state
string
postal_code
string
country
string

ISO 3166-1 alpha-2

phone
string
type
enum<string>
사용 가능한 옵션:
shipping,
billing,
both
is_default
boolean
created_at
string<date-time>